# FoundationClasses
TKernel
OSD

# OSD_FileIterator Class Reference

Manages a breadth-only search for files in the specified
Path.
There is no specific order of results.
.

`#include <OSD_FileIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_FileIterator ()
| Instantiates Object as empty Iterator; .
Standard_EXPORT | OSD_FileIterator (const OSD_Path &where, const TCollection_AsciiString &Mask)
| Instantiates Object as Iterator; Wild-card "*" can be used in Mask the same way it is used by unix shell for file names .
Standard_EXPORT void | Destroy ()
| ~OSD_FileIterator ()
Standard_EXPORT void | Initialize (const OSD_Path &where, const TCollection_AsciiString &Mask)
| Initializes the current File Iterator .
Standard_EXPORT Standard_Boolean | More ()
| Returns TRUE if there are other items using the 'Tree' method. .
Standard_EXPORT void | Next ()
| Sets the iterator to the next item. Returns the item value corresponding to the current position of the iterator. .
Standard_EXPORT OSD_File | Values ()
| Returns the next file found . .
Standard_EXPORT Standard_Boolean | Failed () const
| Returns TRUE if an error occurs .
Standard_EXPORT void | Reset ()
| Resets error counter to zero .
Standard_EXPORT void | Perror ()
| Raises OSD_Error .
Standard_EXPORT Standard_Integer | Error () const
| Returns error number if 'Failed' is TRUE. .

## Private Attributes

OSD_File | TheIterator
Standard_Integer | myFlag
TCollection_AsciiString | myMask
TCollection_AsciiString | myPlace
Standard_Address | myDescr
Standard_Address | myEntry
Standard_Integer | myInit
OSD_Error | myError
Standard_Integer | myHandle
Standard_Address | myData
Standard_Boolean | myFirstCall

## Constructor & Destructor Documentation

Standard_EXPORT OSD_FileIterator::OSD_FileIterator | ( |  | ) |

Standard_EXPORT OSD_FileIterator::OSD_FileIterator | ( | const OSD_Path & | where,
|  | const TCollection_AsciiString & | Mask
| ) |

OSD_FileIterator::~OSD_FileIterator | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void OSD_FileIterator::Destroy | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_FileIterator::Error | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_FileIterator::Failed | ( |  | ) | const

Standard_EXPORT void OSD_FileIterator::Initialize | ( | const OSD_Path & | where,
|  | const TCollection_AsciiString & | Mask
| ) |

Standard_EXPORT Standard_Boolean OSD_FileIterator::More | ( |  | ) |

Standard_EXPORT void OSD_FileIterator::Next | ( |  | ) |

void OSD_FileIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_FileIterator::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_FileIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void OSD_FileIterator::Perror | ( |  | ) |

Standard_EXPORT void OSD_FileIterator::Reset | ( |  | ) |

Standard_EXPORT OSD_File OSD_FileIterator::Values | ( |  | ) |

## Field Documentation

Standard_Address OSD_FileIterator::myData `[private]`

Standard_Address OSD_FileIterator::myDescr `[private]`

Standard_Address OSD_FileIterator::myEntry `[private]`

OSD_Error OSD_FileIterator::myError `[private]`

Standard_Boolean OSD_FileIterator::myFirstCall `[private]`

Standard_Integer OSD_FileIterator::myFlag `[private]`

Standard_Integer OSD_FileIterator::myHandle `[private]`

Standard_Integer OSD_FileIterator::myInit `[private]`

TCollection_AsciiString OSD_FileIterator::myMask `[private]`

TCollection_AsciiString OSD_FileIterator::myPlace `[private]`

OSD_File OSD_FileIterator::TheIterator `[private]`

The documentation for this class was generated from the following file:

- OSD_FileIterator.hxx